import { request } from '@/service/request';

/** 获取学校标签列表 */
export function fetchGetSchoolTagList(params?: Api.Art.SchoolTagSearchParams) {
  return request<Api.Art.SchoolTagList>({
    url: '/art/schoolTag/list',
    method: 'get',
    params
  });
}
/** 新增学校标签 */
export function fetchCreateSchoolTag(data: Api.Art.SchoolTagOperateParams) {
  return request<boolean>({
    url: '/art/schoolTag',
    method: 'post',
    data
  });
}

/** 修改学校标签 */
export function fetchUpdateSchoolTag(data: Api.Art.SchoolTagOperateParams) {
  return request<boolean>({
    url: '/art/schoolTag',
    method: 'put',
    data
  });
}

/** 批量删除学校标签 */
export function fetchBatchDeleteSchoolTag(schoolTagIds: CommonType.IdType[]) {
  return request<boolean>({
    url: `/art/schoolTag/${schoolTagIds.join(',')}`,
    method: 'delete'
  });
}
